package com.yh.saas.plugin.servicer.exception;

import lombok.Getter;

/**
 * 服务商管理错误码
 * 
 * @author yul
 *
 */
public enum ServicerExceptionEnum {

	SERVICER_SYSTEM_ERROR("ERROR", "服务商系统错误！"),

	SERVICER_NAME_AT_LEAST_ONE("SEAFARER_001", "中文/英文名称至少填写一项"),

	SERVICER_ZH_NAME_REPEAT("SEAFARER_002", "中文名称已存在"),

	SERVICER_EN_NAME_REPEAT("SEAFARER_003", "英文名称已存在"),

	SERVICER_USCC_REQUIRE("SEAFARER_004", "统一社会信用代码不能为空"),

	SERVICER_USCC_REPEAT("SEAFARER_005", "统一社会信用代码已存在"),

	SERVICER_LINK_MAN_AT_LEAST_ONE("SEAFARER_006", "联系人至少填写一个"),

	SERVICER_ZH_NAME_REPEAT_BLACK("SEAFARER_007", "该服务商已经存在于黑名单中！"),

	SERVICER_EN_NAME_REPEAT_BLACK("SEAFARER_008", "该服务商已经存在于黑名单中！"),
	
	SERVICER_REGISTER_ACCOUNT_REPEAT("SEAFARER_REGISTER_001", "账号（sss）已被注册"),
	
	SERVICER_REGISTER_ACCOUNT_ERROR("SEAFARER_REGISTER_002", "供应平台账号注册失败"),
	
	SERVICER_REGISTER_ACCOUNT_ERROR3("SEAFARER_REGISTER_003", "供应平台账号注册失败，服务商名称、联系人手机号、联系人名称必填！"),

	SERVICER_CREATE_ERROR("SEAFARER_CREATE_001", "填写字段有误，请注意必填内容，以及数据格式"),

	SERVICER_MERCHANT_ADD_WORKFLOW_ERROR("SERVICER_MERCHANT_ADD_WORKFLOW_ERROR-001", "新增服务商没有可以进行的工作流！");

	@Getter
	private String value;

	@Getter
	private String desc;

	private ServicerExceptionEnum(String value, String desc) {
		this.value = value;
		this.desc = desc;
	}

	@Override
	public String toString() {
		return "[" + this.value + "]" + this.desc;
	}
}
